Subject: bug#16578: Wish: Support for non-native endianness in od

From: Pádraig Brady <[email-masked]>
Date: Wed, 29 Jan 2014 21:44:41 +0000

On 01/28/2014 12:54 PM, Niels Möller wrote:
> For the "od" program, it would be nice with a flag to specify the
> endianness for all types which are larger than a byte. Possible
> alternatives could be "big endian", "little endian", "native endian".

I agree this would be useful and easy enough to add.
I suppose the interface would be --endian=little|big
We could augment that with specific byte order spec,
but those two are probably enough.

> And for floats, besides endianness, it would be nice to be able to
> specify native format or ieee format, for systems where these are
> different.

That's a bit less useful I think and harder to implement.
We say this in the info docs:

"Almost all modern systems use IEEE-754 floating point,
and it is typically portable to assume IEEE-754 behavior these days."

thanks,
Pádraig.